> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heliumid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch single verification



## OpenAPI

````yaml /api-reference/openapi.json get /v1/verifications/{id}
openapi: 3.0.0
info:
  title: Helium Id APIs
  version: 1.0.0
  description: ''
servers:
  - url: https://server.heliumid.io/api
security: []
paths:
  /v1/verifications/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
        example: 69cc17675c5d5781c0edb9f7
    get:
      summary: Fetch single verification
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          example: '{{api-key}}'
      responses:
        '200':
          description: Fetch single verification
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
              example:
                status: true
                message: Fetched Single verifications
                data:
                  status: successful
                  statusCode: 2010
                  verificationMethod: auto
                  createdAt: '2026-04-09T23:06:32.943Z'
                  updatedAt: '2026-04-09T23:57:49.818Z'
                  selfie:
                    key: 1775776050274-6dfrlfk98zn.jpeg
                    url: >-
                      https://s3.eu-north-1.amazonaws.com/io.c80.heliumid/1775776050274-6dfrlfk98zn.jpeg
                  doc:
                    type: NATIONAL_ID
                    name: National Identity Card
                    issuingState: NGA
                    key:
                      front: 1775776085295-1em87ax7pcg.jpeg
                      back: 1775776111293-wyx4x0cu12c.jpeg
                    url:
                      front: >-
                        https://s3.eu-north-1.amazonaws.com/io.c80.heliumid/1775776085295-1em87ax7pcg.jpeg
                      back: >-
                        https://s3.eu-north-1.amazonaws.com/io.c80.heliumid/1775776111293-wyx4x0cu12c.jpeg
                  reason: ''
                  docInfo:
                    docType: NATIONAL_ID
                    docNumber: '123456789'
                    issueDate: '2015-01-01'
                    expiryDate: '2025-01-01'
                    issuingState: NGA
                    firstName: JOHN
                    lastName: DOE
                    middleName: SMITH
                    dob: '1990-01-01'
                    sex: Male
                  id: 69d830f88c8373aa37c95974
                code: 200
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Embedder-Policy:
              schema:
                type: string
              example: require-corp
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            ETag:
              schema:
                type: string
              example: W/"627-wb3fLKMDu2HABk3XoA19GFYnDes"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Tue, 07 Apr 2026 12:20:41 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked

````